{
    attributes = (
        {
            columnName = "PB_EMAIL_CONTACT"; 
            externalType = VARCHAR2; 
            name = pbEmailContact; 
            valueClassName = NSString; 
            width = 50; 
        }, 
        {
            allowsNull = Y; 
            columnName = "PB_CODE"; 
            externalType = VARCHAR2; 
            name = bpCode; 
            valueClassName = NSString; 
            width = 10; 
        }, 
        {
            columnName = "PB_ID"; 
            externalType = NUMBER; 
            name = pbId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "PB_LIBELLE_ENG"; 
            externalType = VARCHAR2; 
            name = pbLibelleEng; 
            valueClassName = NSString; 
            width = 100; 
        }, 
        {
            allowsNull = Y; 
            columnName = "PB_LIBELLE_FRA"; 
            externalType = VARCHAR2; 
            name = pbLibelleFra; 
            valueClassName = NSString; 
            width = 100; 
        }, 
        {
            columnName = "PB_VAL_CLIENT"; 
            externalType = VARCHAR2; 
            name = pbValClient; 
            valueClassName = NSString; 
            width = 1; 
        }, 
        {
            columnName = "PB_VAL_CLOTURE"; 
            externalType = VARCHAR2; 
            name = pbValCloture; 
            valueClassName = NSString; 
            width = 1; 
        }, 
        {
            columnName = "PB_VAL_PRESTATAIRE"; 
            externalType = VARCHAR2; 
            name = pbValPrestataire; 
            valueClassName = NSString; 
            width = 1; 
        }
    ); 
    attributesUsedForLocking = (pbId, pbValClient, pbValPrestataire, pbValCloture, pbEmailContact); 
    className = "org.cocktail.kava.server.metier.EOPrestationBoutique"; 
    classProperties = (
        pbLibelleFra, 
        pbLibelleEng, 
        bpCode, 
        boutiqueClients, 
        pbValClient, 
        pbValPrestataire, 
        pbValCloture, 
        vEmailResponsableCatalogues, 
        pbEmailContact
    ); 
    externalName = "jefy_recette.prestation_boutique"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (
            pbLibelleFra, 
            pbLibelleEng, 
            bpCode, 
            pbValClient, 
            pbValPrestataire, 
            pbValCloture, 
            pbEmailContact
        ); 
    }; 
    name = PrestationBoutique; 
    primaryKeyAttributes = (pbId); 
    relationships = (
        {
            deleteRule = EODeleteRuleNoAction; 
            destination = BoutiqueClient; 
            isToMany = Y; 
            joinSemantic = EOLeftOuterJoin; 
            joins = ({destinationAttribute = pbId; sourceAttribute = pbId; }); 
            name = boutiqueClients; 
        }, 
        {
            destination = VEmailResponsableCatalogue; 
            isToMany = Y; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = pbId; sourceAttribute = pbId; }); 
            name = vEmailResponsableCatalogues; 
        }
    ); 
}
